using System;
int x=-1;
string[] vrednosti = Console.ReadLine().Split();
int N = int.Parse(vrednosti[0]);
int L = int.Parse(vrednosti[1]);
string[] stalaktiti= Console.ReadLine().Split();
for(int i=0;i<N;i++)
{
    if (int.Parse(stalaktiti[i]) <= L)
    {
        x = i+1;
        i = N;
    }
}
Console.WriteLine(x);